Skip to content
Developer

Server Client

Login and sessions4 EndpointsoAuth / Server Client

Get a single OauthServerClient

GET/api/opendata/oauth/server_clients/{identifier}

Path parameters

identifierrequiredstring

Responses

200Get a single OauthServerClientOauthServerClient

Show fields (5)
  • identifierstring

    Identifier of the OAuth client.

  • namestring

    Name of the OAuth client.

  • scopesstring

    Comma-separated list of scopes the client may request.

  • redirect_uristring

    Allowed redirect URI.

  • image_urlstring

    URL of the image of the entity.

Request
curl --request GET \
  --url https://your-instance.iw-erp.de/api/opendata/oauth/server_clients/42 \
  --header 'x-iw-jwt-token: <TOKEN>'
Response 200 application/json
{
  "name": "Beispiel",
  "image_url": "https://vynst.de",
  "identifier": "42",
  "scopes": "string",
  "redirect_uri": "string"
}

Updates a single OauthServerClient

PUT/api/opendata/oauth/server_clients/{identifier}

Path parameters

identifierrequiredstring

Request body application/json

  • dataOauthServerClient2
    Show fields (6)
    • namestring

      Name of the OAuth client.

    • scopesstring

      Comma-separated list of scopes the client may request.

    • redirect_uristring

      Allowed redirect URI.

    • activeboolean

      Whether the client is active.

    • allow_plain_text_pkceboolean

      Whether PKCE with the plain challenge method is allowed.

    • confidentialboolean

      Whether the client is confidential, i.e. it can keep its secret.

Responses

200Updates a single OauthServerClientOauthServerClient

Show fields (5)
  • identifierstring

    Identifier of the OAuth client.

  • namestring

    Name of the OAuth client.

  • scopesstring

    Comma-separated list of scopes the client may request.

  • redirect_uristring

    Allowed redirect URI.

  • image_urlstring

    URL of the image of the entity.

Request
curl --request PUT \
  --url https://your-instance.iw-erp.de/api/opendata/oauth/server_clients/42 \
  --header 'content-type: application/json' \
  --header 'x-iw-jwt-token: <TOKEN>' \
  --data '
{
  "data": {
    "name": "Beispiel",
    "scopes": "string",
    "redirect_uri": "string",
    "active": true,
    "allow_plain_text_pkce": true,
    "confidential": true
  }
}
'
Response 200 application/json
{
  "name": "Beispiel",
  "image_url": "https://vynst.de",
  "identifier": "42",
  "scopes": "string",
  "redirect_uri": "string"
}

Updates a single OauthServerClient

PATCH/api/opendata/oauth/server_clients/{identifier}

Path parameters

identifierrequiredstring

Request body application/json

  • dataOauthServerClient2
    Show fields (6)
    • namestring

      Name of the OAuth client.

    • scopesstring

      Comma-separated list of scopes the client may request.

    • redirect_uristring

      Allowed redirect URI.

    • activeboolean

      Whether the client is active.

    • allow_plain_text_pkceboolean

      Whether PKCE with the plain challenge method is allowed.

    • confidentialboolean

      Whether the client is confidential, i.e. it can keep its secret.

Responses

200Updates a single OauthServerClientOauthServerClient

Show fields (5)
  • identifierstring

    Identifier of the OAuth client.

  • namestring

    Name of the OAuth client.

  • scopesstring

    Comma-separated list of scopes the client may request.

  • redirect_uristring

    Allowed redirect URI.

  • image_urlstring

    URL of the image of the entity.

Request
curl --request PATCH \
  --url https://your-instance.iw-erp.de/api/opendata/oauth/server_clients/42 \
  --header 'content-type: application/json' \
  --header 'x-iw-jwt-token: <TOKEN>' \
  --data '
{
  "data": {
    "name": "Beispiel",
    "scopes": "string",
    "redirect_uri": "string",
    "active": true,
    "allow_plain_text_pkce": true,
    "confidential": true
  }
}
'
Response 200 application/json
{
  "name": "Beispiel",
  "image_url": "https://vynst.de",
  "identifier": "42",
  "scopes": "string",
  "redirect_uri": "string"
}

Creates a single OauthServerClient

POST/api/opendata/oauth/server_clients

Request body application/json

  • dataOauthServerClient2
    Show fields (6)
    • namestring

      Name of the OAuth client.

    • scopesstring

      Comma-separated list of scopes the client may request.

    • redirect_uristring

      Allowed redirect URI.

    • activeboolean

      Whether the client is active.

    • allow_plain_text_pkceboolean

      Whether PKCE with the plain challenge method is allowed.

    • confidentialboolean

      Whether the client is confidential, i.e. it can keep its secret.

Responses

200Creates a single OauthServerClientOauthServerClient

Show fields (5)
  • identifierstring

    Identifier of the OAuth client.

  • namestring

    Name of the OAuth client.

  • scopesstring

    Comma-separated list of scopes the client may request.

  • redirect_uristring

    Allowed redirect URI.

  • image_urlstring

    URL of the image of the entity.

Request
curl --request POST \
  --url https://your-instance.iw-erp.de/api/opendata/oauth/server_clients \
  --header 'content-type: application/json' \
  --header 'x-iw-jwt-token: <TOKEN>' \
  --data '
{
  "data": {
    "name": "Beispiel",
    "scopes": "string",
    "redirect_uri": "string",
    "active": true,
    "allow_plain_text_pkce": true,
    "confidential": true
  }
}
'
Response 200 application/json
{
  "name": "Beispiel",
  "image_url": "https://vynst.de",
  "identifier": "42",
  "scopes": "string",
  "redirect_uri": "string"
}